Bloss Docs

List agreement templates with their text

Developers
GET
/brands/{brandId}/onboarding/agreements

The brand's agreement templates, as on Onboarding › Agreement templates, by name: the published text creators sign (or a link to the uploaded PDF, valid 10 minutes) and the flows that use each. Filter with agreementId from a flow's agreement task.

Authorization

bearerAuth onboarding:read
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, onboarding:read, onboarding:signatures, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read, groups:write, videos:write, onboarding:write, sync:write, payouts:write.

Scope: onboarding:read

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length

Query Parameters

agreementId?string

Only this template (a task's agreementId).

Length1 <= length

Response Body

Success.

application/json
  1. response
data*array<>
curl -X GET 'https://example.com/api/v1/brands/string/onboarding/agreements'
{  "data": [    {      "id": "string",      "name": "string",      "archived": true,      "flows": [        {          "id": "string",          "name": "string",          "status": "string"        }      ],      "published": {        "version": 0,        "publishedAt": "string",        "format": "text",        "text": "string",        "pdfUrl": "string",        "sha256": "string"      },      "unpublishedChanges": true    }  ]}

Was this page helpful?